import { Component } from '@angular/core';
import { NonNullableFormBuilder, Validators } from '@angular/forms';
import { CommonNzModule } from '../../../../../common.nz.module';

@Component({
  selector: 'risk-item-form',
  standalone: true,
  imports: [CommonNzModule],
  templateUrl: './risk-item-form.component.html',
  styleUrl: './risk-item-form.component.less',
})
export class RiskItemFormComponent {
  constructor(private fb: NonNullableFormBuilder) {}
  validateForm = this.fb.group({
    title: [null, [Validators.required, Validators.minLength(2), Validators.maxLength(18)]],
  });
}
