import { Routes } from '@angular/router';

export const knowledgeRoutes: Routes = [
  {
    path: 'list',
    loadComponent: () => import('./list/list.component').then(m => m.ListComponent),
    data: {
      title: '风险知识',
      icon: 'icons:knowledge-list',
      weight: 1,
    },
  },
  {
    path: 'bank',
    loadComponent: () => import('./bank/bank.component').then(m => m.BankComponent),
    data: {
      title: '风险库',
      icon: 'icons:knowledge-bank',
      weight: 2,
    },
  },
  {
    path: 'document',
    loadComponent: () => import('./doc/doc.component').then(m => m.DocComponent),
    data: {
      title: '风险文档',
      icon: 'icons:knowledge-doc',
      weight: 3,
    },
  },
];
