import { Component, Input } from '@angular/core';
import { CommonNzModule } from '../../../../../../common.nz.module';

export interface ListItem {
  name: string;
  category: string;
  type: string;
  level: string;
  spot: string;
  result: string;
  equipment: string;
  department: string;
  responsible: string;
}

@Component({
  selector: 'workbench-list-item',
  standalone: true,
  imports: [CommonNzModule],
  templateUrl: './list-item.component.html',
  styleUrl: './list-item.component.less',
})
export class ListItemComponent {
  @Input() item!: ListItem;
}
