import { Injectable } from '@angular/core';
import { Post, requestDone } from '../http.decorators';
import { _BaseApi } from './_base';

@Injectable({ providedIn: 'root' })
export class KnowledgeApi extends _BaseApi {
  @Post('/knowledge/doc/list')
  async getDocList(data: Knowledge.GetDocListParams): Promise<Knowledge.GetDocListResponse> {
    requestDone(data);
  }
  async deleteDoc(id: number) {
    return this.http.post('/knowledge/doc/delete', { id });
  }
}
