declare namespace Auth {
  interface LoginParams {
    username: string;
    password: string;
  }
  interface LoginResponse {
    token: string;
  }
  /**
   * 修改当前用户 RequestParams
   */
  interface ModifyUserInfo {
    id: number;
    email?: string; // 邮箱
    name?: string;
    phone?: string;
    password?: string;
    newpassword?: string;
    confirmnewpassword?: string;
  }

  interface UserList {
    items: User[];
    total: number;
  }
  interface User {
    id: string;
    department: string;
    company: string;
    job: string;
    line: string;
    jobGroup: string;
    createDate: string;
    roles: string[];
    status: number;
    empno: string;
    startingDate: string;
    gender: string;
    name: string;
    icon: string;
    email: string; // 邮箱
    phone: string;
    gender: string;
    startingDate: string;
    loginDate: string;
  }
}
