declare namespace BasicData {
  interface Predefine {
    id: number;
    type: string;
    value: string;
    seq: number;
  }

  interface PostList {
    data: Post[];
    total: number;
  }

  interface PostGroupList {
    data: PostGroup[];
    total: number;
  }

  interface Unit {
    id: number;
    name: string;
    line: string;
    type: string;
  }

  interface Equipment {
    id: number;
    name: string;
    line: string;
    unit: string;
  }
}
